Fingerprints.h File Reference
`#include <vector>`
`#include <boost/cstdint.hpp>`

Go to the source code of this file.

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::Fingerprints
| RDKit::Fingerprints::detail

## Functions

ExplicitBitVect *

RDKit::RDKFingerprintMol (const ROMol &mol, unsigned int minPath=1, unsigned int maxPath=7, unsigned int fpSize=2048, unsigned int nBitsPerHash=2, bool useHs=true, double tgtDensity=0.0, unsigned int minSize=128, bool branchedPaths=true, bool useBondOrder=true, std::vector< boost::uint32_t > *atomInvariants=0, const std::vector< boost::uint32_t > *fromAtoms=0, std::vector< std::vector< boost::uint32_t > > *atomBits=0)

| Generates a topological (Daylight like) fingerprint for a molecule using an alternate (faster) hashing algorithm. More...
ExplicitBitVect * | RDKit::LayeredFingerprintMol (const ROMol &mol, unsigned int layerFlags=0xFFFFFFFF, unsigned int minPath=1, unsigned int maxPath=7, unsigned int fpSize=2048, std::vector< unsigned int > *atomCounts=0, ExplicitBitVect *setOnlyBits=0, bool branchedPaths=true, const std::vector< boost::uint32_t > *fromAtoms=0)
| Generates a topological (Daylight like) fingerprint for a molecule using a layer-based hashing algorithm. More...
ExplicitBitVect * | RDKit::PatternFingerprintMol (const ROMol &mol, unsigned int fpSize=2048, std::vector< unsigned int > *atomCounts=0, ExplicitBitVect *setOnlyBits=0)
| Generates a topological fingerprint for a molecule using a series of pre-defined structural patterns. More...
bool | RDKit::Fingerprints::detail::isComplexQuery (const Bond *b)
bool | RDKit::Fingerprints::detail::isComplexQuery (const Atom *a)
bool | RDKit::Fingerprints::detail::isAtomAromatic (const Atom *a)

## Variables

const std::string | RDKit::RDKFingerprintMolVersion ="2.0.0"
const unsigned int | RDKit::maxFingerprintLayers =10
const std::string | RDKit::LayeredFingerprintMolVersion ="0.7.0"
const unsigned int | RDKit::substructLayers =0x07